    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.input.DefaultJDOMFactory

    java.lang.Object
       |
       +----org.jdom.input.DefaultJDOMFactory

public class DefaultJDOMFactory
extends Object
implements JDOMFactory

`DefaultJDOMFactory` creates the standard top-level JDOM classes (Element, Document, Comment, etc). A subclass of this factory might construct custom classes.

Version:
  $Revision: 1.6 $, $Date: 2002/03/12 07:57:06 $
Author:
  Ken Rune Holland, Phil Nelson, Bradley S. Huffman

##

DefaultJDOMFactory()

##

attribute(String, String)
attribute(String, String, int)
attribute(String, String, int, Namespace)
attribute(String, String, Namespace)
cdata(String)
comment(String)
docType(String)
docType(String, String)
docType(String, String, String)
document(Element)
document(Element, DocType)
element(String)
element(String, Namespace)
element(String, String)
element(String, String, String)
entityRef(String)
entityRef(String, String, String)
processingInstruction(String, Map)
processingInstruction(String, String)
text(String)

##

DefaultJDOMFactory

     public DefaultJDOMFactory()

##

attribute

     public Attribute attribute(String name,
                                String value,
                                Namespace namespace)

attribute

     public Attribute attribute(String name,
                                String value,
                                int type,
                                Namespace namespace)

attribute

     public Attribute attribute(String name,
                                String value)

attribute

     public Attribute attribute(String name,
                                String value,
                                int type)

cdata

     public CDATA cdata(String text)

text

     public Text text(String text)

comment

     public Comment comment(String text)

docType

     public DocType docType(String elementName,
                            String publicID,
                            String systemID)

docType

     public DocType docType(String elementName,
                            String systemID)

docType

     public DocType docType(String elementName)

document

     public Document document(Element rootElement,
                              DocType docType)

document

     public Document document(Element rootElement)

element

     public Element element(String name,
                            Namespace namespace)

element

     public Element element(String name)

element

     public Element element(String name,
                            String uri)

element

     public Element element(String name,
                            String prefix,
                            String uri)

processingInstruction

     public ProcessingInstruction processingInstruction(String target,
                                                        Map data)

processingInstruction

     public ProcessingInstruction processingInstruction(String target,
                                                        String data)

entityRef

     public EntityRef entityRef(String name)

entityRef

     public EntityRef entityRef(String name,
                                String publicID,
                                String systemID)

    All Packages  Class Hierarchy  This Package  Previous  Next  Index